// The contents of this file are subject to the Mozilla Public License Version 1.1
// (the "License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
// 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
// WARRANTY OF ANY KIND, either express or implied. See the License for the specific
// language governing rights and limitations under the License.
// 
// The Original Code is the Venice Web Communities System.
// 
// The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
// for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
// Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
// 
// Contributor(s): 

importPackage(java.util);
importPackage(Packages.com.silverwrist.venice.core);
importPackage(Packages.com.silverwrist.venice.except);
importPackage(Packages.com.silverwrist.venice.ui);
importPackage(Packages.com.silverwrist.venice.ui.helpers);
importPackage(Packages.com.silverwrist.venice.ui.view);

// get the request object
rinput = bsf.lookupBean("request");

// get the two index values
ndx = rinput.getParameterInt("ndx",-1);
if (ndx<0)
{ // index values out of range
  vlib.output(new ErrorBox(null,"Invalid index parameter.","conf/hotlist.js.vs"));
  vlib.done();

} // end if

rc = null;
try
{ // get the hotlist and further check the parameters
  hotlist = rinput.user.getConferenceHotlist();
  if (ndx>=hotlist.size())
    throw new ErrorBox(null,"Invalid index parameter.","conf/hotlist.js.vs");

  // get the hotlist entry and conference
  ntry = vlib.castConferenceHotlistEntry(hotlist.get(ndx));
  conf = ntry.getConference();

  // remove the conference
  conf.removeFromHotlist();

  // bounce back to the hotlist screen
  rc = new Redirect("conf/hotlist.js.vs",LinkTypes.SERVLET);

} // end try
catch (e)
{ // error adjusting the hotlist sequence
  etype = vlib.exceptionType(e) + "";
  if (etype.match("DataException"))
    rc = new ErrorBox("Database Error","Error adjusting hotlist: " + e.message,"conf/hotlist.js.vs");
  else
    rc = e;

} // end catch

vlib.output(rc);  // all done
